apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: family-apps
  namespace: argocd
spec:
  project: default
  source:
    repoURL: http://gitea.geocrop.svc.cluster.local:3000/fchinembiri/geocrop-platform..git
    targetRevision: HEAD
    path: k8s/family-apps
  destination:
    server: https://kubernetes.default.svc
    namespace: family-apps
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
